# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutWidget Class Reference

KAboutWidget is the main widget for KAboutDialog. More...

`#include <kaboutdialog.h>`

Inheritance diagram for KAboutWidget:

[legend]
Collaboration diagram for KAboutWidget:

[legend]
List of all members.

## Signals

void | sendEmail (const QString &name, const QString &email)
void | openURL (const QString &url)

## Public Member Functions

| KAboutWidget (QWidget *parent=0, const char *name=0)
void | adjust ()
void | setLogo (const QPixmap &)
void | setAuthor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setMaintainer (const QString &name, const QString &email, const QString &url, const QString &work)
void | addContributor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setVersion (const QString &name)

## Protected Slots

void | sendEmailSlot (const QString &name, const QString &email)
void | openURLSlot (const QString &url)

## Protected Member Functions

void | resizeEvent (QResizeEvent *)

## Protected Attributes

QLabel * | version
QLabel * | cont
QLabel * | logo
KAboutContributor * | author
KAboutContributor * | maintainer
bool | showMaintainer
QPtrList< KAboutContributor > | contributors

## Detailed Description

KAboutWidget is the main widget for KAboutDialog.

It has a minimum size set.

Definition at line 150 of file kaboutdialog.h.

## Constructor & Destructor Documentation

KAboutWidget::KAboutWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| The Qt constructor. Definition at line 1313 of file kaboutdialog.cpp. References author, endl(), kdDebug(), logo, maintainer, openURL(), openURLSlot(), sendEmail(), sendEmailSlot(), QLabel::setAlignment(), QLabel::setText(), and version.

## Member Function Documentation

void KAboutWidget::adjust | ( |  | ) |

| Adjust the minimum size (after setting the properties of the image and the labels. Definition at line 1349 of file kaboutdialog.cpp. References author, contributors, QPtrListIterator::current(), QSize::height(), QPtrList::isEmpty(), logo, maintainer, QWidget::setMinimumSize(), showMaintainer, KAboutContributor::sizeHint(), version, and QSize::width(). Referenced by KAboutDialog::adjust().

void KAboutWidget::setLogo | ( | const QPixmap & |  | ) |

| Sets the image as the application logo. Definition at line 1393 of file kaboutdialog.cpp. References logo, and QLabel::setPixmap(). Referenced by KAboutDialog::setLogo().

void KAboutWidget::setAuthor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| Sets the author's name and email address. Definition at line 1411 of file kaboutdialog.cpp. References author, KAboutContributor::setEmail(), KAboutContributor::setName(), KAboutContributor::setURL(), and KAboutContributor::setWork(). Referenced by KAboutDialog::setAuthor().

void KAboutWidget::setMaintainer | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| Sets the maintainers name and email address. Definition at line 1423 of file kaboutdialog.cpp. References maintainer, KAboutContributor::setEmail(), KAboutContributor::setName(), KAboutContributor::setURL(), KAboutContributor::setWork(), and showMaintainer. Referenced by KAboutDialog::setMaintainer().

void KAboutWidget::addContributor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| Shows this person as one of the major contributors. Definition at line 1436 of file kaboutdialog.cpp. References QPtrList::append(), contributors, openURL(), openURLSlot(), sendEmail(), sendEmailSlot(), KAboutContributor::setEmail(), KAboutContributor::setName(), KAboutContributor::setURL(), and KAboutContributor::setWork(). Referenced by KAboutDialog::addContributor().

void KAboutWidget::setVersion | ( | const QString & | name | ) |

| Sets the text describing the version. Definition at line 1454 of file kaboutdialog.cpp. References QLabel::setText(), and version. Referenced by KAboutDialog::setVersion().

void KAboutWidget::sendEmailSlot | ( | const QString & | name,
|  | const QString & | email
| ) | `[protected, slot]`

| Catches the signals from the contributors elements. Definition at line 1400 of file kaboutdialog.cpp. References sendEmail(). Referenced by addContributor(), and KAboutWidget().

void KAboutWidget::openURLSlot | ( | const QString & | url | ) | `[protected, slot]`

| Catches the clicked URLs. Definition at line 1405 of file kaboutdialog.cpp. References openURL(). Referenced by addContributor(), and KAboutWidget().

void KAboutWidget::sendEmail | ( | const QString & | name,
|  | const QString & | email
| ) | `[signal]`

| An email address has been selected by the user. Referenced by addContributor(), KAboutWidget(), and sendEmailSlot().

void KAboutWidget::openURL | ( | const QString & | url | ) | `[signal]`

| An URL has been clicked. Referenced by addContributor(), KAboutWidget(), and openURLSlot().

void KAboutWidget::resizeEvent | ( | QResizeEvent * |  | ) | `[protected]`

| The resize event. Reimplemented from QWidget. Definition at line 1462 of file kaboutdialog.cpp. References author, contributors, QPtrListIterator::current(), QSize::height(), QPtrList::isEmpty(), logo, maintainer, showMaintainer, KAboutContributor::sizeHint(), version, and QWidget::width().

## Member Data Documentation

QLabel* KAboutWidget::version`[protected]`

| The label showing the program version. Definition at line 220 of file kaboutdialog.h. Referenced by adjust(), KAboutWidget(), resizeEvent(), and setVersion().

QLabel* KAboutWidget::cont`[protected]`

| The label showing the text "Other contributors:". Definition at line 224 of file kaboutdialog.h.

QLabel* KAboutWidget::logo`[protected]`

| The frame showing the logo. Definition at line 228 of file kaboutdialog.h. Referenced by adjust(), KAboutWidget(), resizeEvent(), and setLogo().

KAboutContributor* KAboutWidget::author`[protected]`

| The application developer. Definition at line 232 of file kaboutdialog.h. Referenced by adjust(), KAboutWidget(), resizeEvent(), and setAuthor().

KAboutContributor* KAboutWidget::maintainer`[protected]`

| The application maintainer. Definition at line 236 of file kaboutdialog.h. Referenced by adjust(), KAboutWidget(), resizeEvent(), and setMaintainer().

bool KAboutWidget::showMaintainer`[protected]`

| Show the maintainer? Definition at line 240 of file kaboutdialog.h. Referenced by adjust(), resizeEvent(), and setMaintainer().

QPtrList<KAboutContributor> KAboutWidget::contributors`[protected]`

| A set of people who contributed to the application. Definition at line 244 of file kaboutdialog.h. Referenced by addContributor(), adjust(), and resizeEvent().

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:34 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003